Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# emf.h File Reference

`#include <stdio.h>`
`#include <string.h>`
`#include <wine/windef.h>`
`#include <wine/winbase.h>`
`#include <wine/wingdi.h>`
`#include <wine/winuser.h>`
`#include <wine/winerror.h>`

Go to the source code of this file.

## Functions
HDC | CreateEnhMetaFileWithFILEA (HDC context, FILE *fp, const RECT *size, LPCSTR description)
HDC | CreateEnhMetaFileWithFILEW (HDC context, FILE *fp, const RECT *size, LPCWSTR description)
HENHMETAFILE | CloseEnhMetaFileWithFILE (HDC context)
void | EditEnhMetaFile (HENHMETAFILE metafile)

## Function Documentation

HENHMETAFILE CloseEnhMetaFileWithFILE ( | HDC context )

  | Close a metafile which was created with an already open FILE pointer. Parameters:
  context | handle of metafile context
Returns: handle to a metafile. I don't think there's anything you can do with it, though.

HDC CreateEnhMetaFileWithFILEA ( | HDC referenceContext,
| FILE * fp,
| const RECT * size,
| LPCSTR description )

  | Many graphics programs want to open and close output files themselves. At least, gnuplot and Grace do. So, supply the FILE pointer when creating a metafile and let the plotting program's driver handle it. Parameters:
  context | pseudo device context.
  fp | open FILE pointer.
  size | the size (really the position on the paper) of the plot image.
  description | description string for metafile (see EMF::METAFILE constructor for details).
Returns: handle to a metafile device context.

HDC CreateEnhMetaFileWithFILEW ( | HDC referenceContext,
| FILE * fp,
| const RECT * size,
| LPCWSTR description )

  | Many graphics programs want to open and close output files themselves. At least, gnuplot and Grace do. So, supply the FILE pointer when creating a metafile and let the plotting program's driver handle it. This differs from CreateEnhMetaFileWithFILEA only in that the description string uses wide characters. Parameters:
  context | pseudo device context.
  fp | open FILE pointer.
  size | the size (really the position on the paper) of the plot image.
  description | description string for metafile (see EMF::METAFILE constructor for details).
Returns: handle to a metafile device context.

void EditEnhMetaFile ( | HENHMETAFILE metafile )

  | This is not a ECMA-234 standard function. Edit (print) the contents of the metafile to stdout. Also, this function does nothing if editing wasn't enabled at ./configure time. Parameters:
  metafile | The handle of a metafile (which implies that the metafile has been closed already even though it will work on an open metafile).